# Deletes empty txt files inside a folder and a jpg file in a different folder with the same name
import os
from tqdm import tqdm

def delete_empty_txt_files(folder_path):

    for root, _, files in os.walk(folder_path):
        for filename in tqdm(files):
            if filename.endswith(".txt"):
                txt_file_path = os.path.join(root, filename)
                image_file_path = os.path.join(os.path.dirname(root) + "/images", filename.replace(".txt", ".jpg"))

                if os.path.getsize(txt_file_path) == 0:
                    os.remove(txt_file_path)
                    if os.path.exists(image_file_path):
                        os.remove(image_file_path)
                        print(f"{txt_file_path} and {image_file_path} deleted")
                    else:
                        print(f"{txt_file_path} deleted, corresponding image not found")
